Cyan Web API - Version 1


GET api/deviceGroupApplicationVersions

            Gets all DeviceGroupApplicationVersion records
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceGroupId": "a376ea13-9421-4e4c-9930-d0131e1ee1c2",
    "applicationVersionId": "dcb42f85-85de-45f4-abba-8b7839874db3",
    "createdDateUtc": "2026-05-11T10:09:57.9253805+00:00",
    "updatedDateUtc": "2026-05-11T10:09:57.9253805+00:00"
  },
  {
    "deviceGroupId": "a376ea13-9421-4e4c-9930-d0131e1ee1c2",
    "applicationVersionId": "dcb42f85-85de-45f4-abba-8b7839874db3",
    "createdDateUtc": "2026-05-11T10:09:57.9253805+00:00",
    "updatedDateUtc": "2026-05-11T10:09:57.9253805+00:00"
  },
  {
    "deviceGroupId": "a376ea13-9421-4e4c-9930-d0131e1ee1c2",
    "applicationVersionId": "dcb42f85-85de-45f4-abba-8b7839874db3",
    "createdDateUtc": "2026-05-11T10:09:57.9253805+00:00",
    "updatedDateUtc": "2026-05-11T10:09:57.9253805+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceGroupApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-05-11T10:09:57.9253805+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:09:57.9253805+00:00</UpdatedDateUtc>
    <ApplicationVersionId>dcb42f85-85de-45f4-abba-8b7839874db3</ApplicationVersionId>
    <DeviceGroupId>a376ea13-9421-4e4c-9930-d0131e1ee1c2</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-05-11T10:09:57.9253805+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:09:57.9253805+00:00</UpdatedDateUtc>
    <ApplicationVersionId>dcb42f85-85de-45f4-abba-8b7839874db3</ApplicationVersionId>
    <DeviceGroupId>a376ea13-9421-4e4c-9930-d0131e1ee1c2</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-05-11T10:09:57.9253805+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:09:57.9253805+00:00</UpdatedDateUtc>
    <ApplicationVersionId>dcb42f85-85de-45f4-abba-8b7839874db3</ApplicationVersionId>
    <DeviceGroupId>a376ea13-9421-4e4c-9930-d0131e1ee1c2</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
</ArrayOfDeviceGroupApplicationVersionRepresentation>